<?php
require_once('../clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', '../clases/xajax/');
$xajax->setCharEncoding("ISO-8859-1");

function xExportar($varEmp, $varCli, $varVen, $varPag, $varIni, $varFin, $varTit) {
	$varEmp = (isset($varEmp) && $varEmp<>'')? $varEmp:"NULL";
	$varCli = (isset($varCli) && $varCli<>'')? $varCli:"NULL";
	$varVen = ($varVen<>"")?"\"(".$varVen.")\"":"NULL";
	$varPag = ($varPag<>"")?"\"(".str_replace("\\","",$varPag).")\"":"NULL";
	$varIni = (isset($varIni) && $varIni<>'')? "'".FechaMySql($varIni)."'":"NULL";
	$varFin = (isset($varFin) && $varFin<>'')? "'".FechaMySql($varFin)."'":"NULL";
	$sql = "call spQuery_Pagos_CxC($varEmp, $varCli, $varVen, $varPag, $varIni, $varFin, NULL, NULL);";		
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = (isset($varTit))?$varTit:"Reporte";	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("../export.php?page=$varTitulo");
    return $objResponse;
	}

function xBuscar($varEmp, $varCli, $varCadVen, $varCadPag, $varIni, $varFin, $varField, $varOrder) {
	$var = VarServer("MYSQLI");
	$obj = new clsRegistroVentas($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varEmp, $varCli, $varCadVen, $varCadPag, $varIni, $varFin, $varField, $varOrder);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", $varTabla);
	$varMarcar="ResaltarSeleccionado()";
	$respuestaXajax->script($varMarcar); 
	return $respuestaXajax;
	}


$xajax->register(XAJAX_FUNCTION, 'seleccionar_cliente');
$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');
$xajax->processRequest();
$xajax->printJavascript("../clases/xajax");
?>
<script language="javascript">		
	function xBuscarJS(varField, varOrder) {
		var varEmp = xajax.$("emp").value;
		var varCli = xajax.$("ccod").value;
		var varIni = xajax.$("fini").value;
		var varFin = xajax.$("ffin").value;
		var varVen = xajax.$("vcod");
		var varPag = xajax.$("pcod");
		var varCadVen = "";
		var varCadPag = "";
		
		//Capturamos relacion de vendedores
		for (var i = 0; i < varVen.length; i++)	{  
			if(varCadVen=="") 
				varCadVen =  varVen.options[i].value;
			else 
				varCadVen =  varCadVen+','+varVen.options[i].value;			
			}
		//Capturamos relacion de rutas
		for (var i = 0; i < varPag.length; i++)	{  
			if(varCadPag=="") 
				varCadPag =  varPag.options[i].value;
			else 
				varCadPag =  varCadPag+','+varPag.options[i].value;			
			}
			
		if (xajax.$("emp").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA OBLIGATORIAMENTE");  
			xajax.$("emp").focus();
			return (false); 
			}
		else if (xajax.$("fini").value=="" && xajax.$("ffin").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE UTILIZAR AL MENOS UN FECHA DE BUSQUEDA");  
			xajax.$("fini").focus();
			return (false); 
			}
		else {
			xajax_xBuscar(varEmp, varCli, varCadVen, varCadPag, varIni, varFin, varField, varOrder);		
			}
		}
	function xExportarJS() {
		var varEmp = xajax.$("emp").value;
		var varCli = xajax.$("ccod").value;
		var varIni = xajax.$("fini").value;
		var varFin = xajax.$("ffin").value;
		var varTit = xajax.$("titu").value;
		var varVen = xajax.$("vcod");
		var varPag = xajax.$("pcod");
		var varCadVen = "";
		var varCadPag = "";
		
		//Capturamos relacion de vendedores
		for (var i = 0; i < varVen.length; i++)	{  
			if(varCadVen=="") 
				varCadVen =  varVen.options[i].value;
			else 
				varCadVen =  varCadVen+','+varVen.options[i].value;			
			}
		//Capturamos relacion de rutas
		for (var i = 0; i < varPag.length; i++)	{  
			if(varCadPag=="") 
				varCadPag =  varPag.options[i].value;
			else 
				varCadPag =  varCadPag+','+varPag.options[i].value;			
			}
			
		if (xajax.$("emp").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA OBLIGATORIAMENTE");  
			xajax.$("emp").focus();
			return (false); 
			}
		else if (xajax.$("fini").value=="" && xajax.$("ffin").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE UTILIZAR AL MENOS UN FECHA DE BUSQUEDA");  
			xajax.$("fini").focus();
			return (false); 
			}
		else {
			xajax_xExportar(varEmp, varCli, varCadVen, varCadPag, varIni, varFin, varTit);	
			}
		}
	
	function xImprimirJS() {
		var varEmp = xajax.$("emp").value;
		var varCli = xajax.$("ccod").value;
		var varIni = xajax.$("fini").value;
		var varFin = xajax.$("ffin").value;
		var varVen = xajax.$("vcod");
		var varPag = xajax.$("pcod");
		var varCadVen = "";
		var varCadPag = "";
		
		//Capturamos relacion de vendedores
		for (var i = 0; i < varVen.length; i++)	{  
			if(varCadVen=="") 
				varCadVen =  varVen.options[i].value;
			else 
				varCadVen =  varCadVen+','+varVen.options[i].value;			
			}
		//Capturamos relacion de rutas
		for (var i = 0; i < varPag.length; i++)	{  
			if(varCadPag=="") 
				varCadPag =  varPag.options[i].value;
			else 
				varCadPag =  varCadPag+','+varPag.options[i].value;			
			}
			
		if (xajax.$("emp").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA OBLIGATORIAMENTE");  
			xajax.$("emp").focus();
			return (false); 
			}
		else if (xajax.$("fini").value=="" && xajax.$("ffin").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE UTILIZAR AL MENOS UN FECHA DE BUSQUEDA");  
			xajax.$("fini").focus();
			return (false); 
			}
		else {
			//xajax_xBuscar(varEmp, varCli, varCadVen, varCadPag, varIni, varFin, varField, varOrder);
			var Ruta = 'print/print_cxc_registro_pagos_reporte.php?emp='+varEmp+'&cli='+varCli+'&ven='+varCadVen+'&pag='+varCadPag+'&ini='+varIni+'&fin='+varFin;
			testwindow= window.open (Ruta, "print_cxc_registro_ventas_reporte", "location=no,status=no,toolbar=no,scrollbars=1,width=1100,height=500");
			}
		}
</script>

<?php			
function MyTable($obj) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	//echo $obj->GridDatos();		
	echo "</div>";
	echo "</div>";
	} 
?>